addons on CentOS 4.3

Last modified by Joseph John on Thu, June 24, 2010 15:16
Source|Old Revisions  

To install magentoo on CentOS 4.3 . Had to face some problems with the installation One of the requirement for magentoo is it needs PHP 5.2 or more . CentOS 4.4 has by default PHP 4.3.9 I was not able to upgrade direclty to PHP 5.2 using the link http://www.lampdeveloper.co.uk/linux/installing-php-525-suhosin-php-eaccelerator-on-centos-4-with-yum.html

It was giving some dependency problems like

–> Processing Dependency: libmysqlclient.so.15 for package: php-mysql

–> Finished Dependency Resolution

Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15) is needed by package php-mysql Error: Missing Dependency: libmysqlclient.so.15 is needed by package php-mysql

Now at this stage , I edited “CentOS-Base.repo” enabled [centosplus]

Gave yum update php

now I have to install the PHP extensions/addons

1> yum install php-pdo

2> yum install php-mcrypt

3> yum install php-mhash

4> wget ftp://ftp.pbone.net/mirror/seerofsouls.com/mandriva/10.2/i586/LE2005/php-simplexml-5.0.4-1.SoS.i586.rpm

  rpm -ivh php-simplexml-5.0.4-1.SoS.i586.rpm 

5> yum install php-gd

6> wget ftp://ftp.pbone.net/mirror/seerofsouls.com/mandriva/10.2/i586/LE2005/php-dom-5.0.4-3.SoS.i586.rpm

  rpm -ivh php-dom-5.0.4-3.SoS.i586.rpm

7> wget ftp://ftp.pbone.net/mirror/seerofsouls.com/mandriva/10.2/i586/LE2005/php-iconv-5.0.4-1.SoS.i586.rpm rpm -ivh php-iconv-5.0.4-1.SoS.i586.rpm

Now u are ready with the required PHP extensions for magento installation on Centos 4.3




 

Magento 2 GitHub Repository

Magento Job Board - Some sort of tag line goes here

Latest Posts| View all Jobs